Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Interface JposEntryEditorMsg

public interface JposEntryEditorMsg

Interface for all DevEx application message constants Strings that are dynamicaly intialized using I18N support classes

Since:
  1.3 (SF 2K meeting)
Version:
  0.1.0 (JDK 1.x.x)
Author:
  Kriselie D Rivera

Field Summary
`static java.lang.String` | `ABOUT_STRING`
`static java.lang.String` | `ABOUTBUTTON_STRING`
`static java.lang.String` | `ABOUTMENU_STRING`
`static java.lang.String` | `ABOUTTITLE_STRING`
`static java.lang.String` | `ABOUTTITLELABEL_STRING`
`static java.lang.String` | `ADD_STRING`
`static java.lang.String` | `ADDBUTTON_STRING`
`static java.lang.String` | `ADDMENU_STRING`
`static java.lang.String` | `ADDPROP_STRING`
`static java.lang.String` | `ARCHITECTURE_STRING`
`static java.lang.String` | `AUTOEXPAND_STRING`
`static java.lang.String` | `AUTOLOADREGISTRY_STRING`
`static java.lang.String` | `BYTES_STRING`
`static java.lang.String` | `CANCELBUTTON_STRING`
`static java.lang.String` | `CATEGORY_STRING`
`static java.lang.String` | `CHANGESLOST_STRING`
`static java.lang.String` | `CLOSE_STRING`
`static java.lang.String` | `CLOSECHANGES_STRING`
`static java.lang.String` | `CLOSEDFILE_STRING`
`static java.lang.String` | `CLOSEDFILEWITHCHANGES_STRING`
`static java.lang.String` | `CLOSEDJPOSREGISTRY_STRING`
`static java.lang.String` | `CLOSEFILEBUTTON_STRING`
`static java.lang.String` | `CLOSEFILEMENU_STRING`
`static java.lang.String` | `CLOSEJPOSREGISTRY_STRING`
`static java.lang.String` | `CLOSEJPOSREGISTRYMENU_STRING`
`static java.lang.String` | `CONFIGBUTTON_STRING`
`static java.lang.String` | `CONFIGMENU_STRING`
`static java.lang.String` | `COPY_STRING`
`static java.lang.String` | `COPYMENU_STRING`
`static java.lang.String` | `CREATION_PROPS_STRING`
`static java.lang.String` | `CURRENTPROPERTY_STRING`
`static java.lang.String` | `CURRENTPROPNAMETEXT_STRING`
`static java.lang.String` | `CURRENTPROPVALUETEXT_STRING`
`static java.lang.String` | `DELETE_STRING`
`static java.lang.String` | `DELETEBUTTON_STRING`
`static java.lang.String` | `DELETEENTRYWITHLOGNAM_STRING`
`static java.lang.String` | `DELETEJPOSENTRY_STRING`
`static java.lang.String` | `DELETEMENU_STRING`
`static java.lang.String` | `DELETEPROP_STRING`
`static java.lang.String` | `DIALOG_STRING`
`static java.lang.String` | `EDIT_STRING`
`static java.lang.String` | `EDITINVALIDPROPERTY_STRING`
`static java.lang.String` | `EDITPROPERTYNAME_STRING`
`static java.lang.String` | `EDITPROPERTYTYPE_STRING`
`static java.lang.String` | `EDITPROPERTYVALUE_STRING`
`static java.lang.String` | `EDITPROPTITLE_STRING`
`static java.lang.String` | `EDITTITLE_STRING`
`static java.lang.String` | `EDITVALIDNAME_STRING`
`static java.lang.String` | `ENTERNEWLOGICALNAME_STRING`
`static java.lang.String` | `ENTRIES_STRING`
`static java.lang.String` | `ERROR_STRING`
`static java.lang.String` | `ERRORSAVING_STRING`
`static java.lang.String` | `ERRORSAVINGFILE_STRING`
`static java.lang.String` | `ERRORSAVINGJPOSREGISTRY_STRING`
`static java.lang.String` | `EXIT_STRING`
`static java.lang.String` | `EXITMENU_STRING`
`static java.lang.String` | `FILE_STRING`
`static java.lang.String` | `FREEMEMORY_STRING`
`static java.lang.String` | `HELP_STRING`
`static java.lang.String` | `IMPORTANTPROPERTIES_STRING`
`static java.lang.String` | `JAVALOOKANDFEEL_STRING`
`static java.lang.String` | `JAVAVERSION_STRING`
`static java.lang.String` | `JPOS_PROPS_STRING`
`static java.lang.String` | `JPOSENTRIES_STRING`
`static java.lang.String` | `JPOSENTRYEDITOR_STRING`
`static java.lang.String` | `JPOSENTRYPREFERENCES_STRING`
`static java.lang.String` | `LABEL_STRING`
`static java.lang.String` | `LOADENTRIESJPOSREGISTRY_STRING`
`static java.lang.String` | `LOADJPOSREGISTRY_STRING`
`static java.lang.String` | `LOADJPOSREGISTRYMENU_STRING`
`static java.lang.String` | `LOGICALNAMETEXT_STRING`
`static java.lang.String` | `LOOKANDFEEL_STRING`
`static java.util.ListResourceBundle` | `lrb`
`static java.lang.String` | `MANUFACTURER_STRING`
`static java.lang.String` | `MESSAGES_STRING`
`static java.lang.String` | `METAL_STRING`
`static java.lang.String` | `MODIFY_STRING`
`static java.lang.String` | `MODIFYBUTTON_STRING`
`static java.lang.String` | `MODIFYMENU_STRING`
`static java.lang.String` | `MODIFYPROP_STRING`
`static java.lang.String` | `NATIVELOOKANDFEEL_STRING`
`static java.lang.String` | `NEW_STRING`
`static java.lang.String` | `NEWFILEBUTTON_STRING`
`static java.lang.String` | `NEWFILEMENU_STRING`
`static java.lang.String` | `NOENTRIES_STRING`
`static java.lang.String` | `NOENTRIESJPOSREGISTRY_STRING`
`static java.lang.String` | `NOTCOMPATIBLE_STRING`
`static java.lang.String` | `OKBUTTON_STRING`
`static java.lang.String` | `OPEN_STRING`
`static java.lang.String` | `OPENFILE_STRING`
`static java.lang.String` | `OPENFILEBUTTON_STRING`
`static java.lang.String` | `OPENFILEMENU_STRING`
`static java.lang.String` | `OS_STRING`
`static java.lang.String` | `OTHERPROPERTIES_STRING`
`static java.lang.String` | `PREFERENCES_STRING`
`static java.lang.String` | `PRODUCT_PROPS_STRING`
`static java.lang.String` | `PROPERTIES_STRING`
`static java.lang.String` | `PROPERTY_NAME_STRING`
`static java.lang.String` | `PROPERTY_VALUE_STRING`
`static java.lang.String` | `PROPERTYDEFINED_STRING`
`static java.lang.String` | `PROPERTYNAME_STRING`
`static java.lang.String` | `PROPERTYTYPE_STRING`
`static java.lang.String` | `PROPERTYVALUE_STRING`
`static java.lang.String` | `SAVE_STRING`
`static java.lang.String` | `SAVEAS_STRING`
`static java.lang.String` | `SAVEASFILEBUTTON_STRING`
`static java.lang.String` | `SAVEASFILEMENU_STRING`
`static java.lang.String` | `SAVECHANGES_STRING`
`static java.lang.String` | `SAVECHANGESJPOSREGISTRY_STRING`
`static java.lang.String` | `SAVECURRENTCHANGES_STRING`
`static java.lang.String` | `SAVEDCHANGESTOREGISTRY_STRING`
`static java.lang.String` | `SAVEDFILE_STRING`
`static java.lang.String` | `SAVEFILEBUTTON_STRING`
`static java.lang.String` | `SAVEFILEMENU_STRING`
`static java.lang.String` | `SAVEJPOSREGISTRY_STRING`
`static java.lang.String` | `SAVEJPOSREGISTRYMENU_STRING`
`static java.lang.String` | `SELECTENTRYTODELETE_STRING`
`static java.lang.String` | `SELECTENTRYTOMODIFY_STRING`
`static java.lang.String` | `SETNAMEEXCEPTION_STRING`
`static java.lang.String` | `SHOWINTEGERSASHEX_STRING`
`static java.lang.String` | `SIFACTORYCLASSTEXT_STRING`
`static java.lang.String` | `SORTED_STRING`
`static java.lang.String` | `TOPOFFILE_STRING`
`static java.lang.String` | `TOTALMEMORY_STRING`
`static java.lang.String` | `TREEVIEW_STRING`
`static java.lang.String` | `UNKNOWN_STRING`
`static java.lang.String` | `USEDNAME_STRING`
`static java.lang.String` | `VALIDCLASS_STRING`
`static java.lang.String` | `VALIDNAME_STRING`
`static java.lang.String` | `VENDOR_PROPS_STRING`
`static java.lang.String` | `VIEWOPTIONS_STRING`

Field Detail

### lrb

    public static final java.util.ListResourceBundle lrb

### JPOSENTRYEDITOR_STRING

    public static final java.lang.String JPOSENTRYEDITOR_STRING

### FILE_STRING

    public static final java.lang.String FILE_STRING

### NEW_STRING

    public static final java.lang.String NEW_STRING

### OPEN_STRING

    public static final java.lang.String OPEN_STRING

### SAVE_STRING

    public static final java.lang.String SAVE_STRING

### SAVEAS_STRING

    public static final java.lang.String SAVEAS_STRING

### LOADJPOSREGISTRY_STRING

    public static final java.lang.String LOADJPOSREGISTRY_STRING

### SAVEJPOSREGISTRY_STRING

    public static final java.lang.String SAVEJPOSREGISTRY_STRING

### CLOSEJPOSREGISTRY_STRING

    public static final java.lang.String CLOSEJPOSREGISTRY_STRING

### CLOSE_STRING

    public static final java.lang.String CLOSE_STRING

### EXIT_STRING

    public static final java.lang.String EXIT_STRING

### EDIT_STRING

    public static final java.lang.String EDIT_STRING

### ADD_STRING

    public static final java.lang.String ADD_STRING

### COPY_STRING

    public static final java.lang.String COPY_STRING

### DELETE_STRING

    public static final java.lang.String DELETE_STRING

### MODIFY_STRING

    public static final java.lang.String MODIFY_STRING

### PREFERENCES_STRING

    public static final java.lang.String PREFERENCES_STRING

### HELP_STRING

    public static final java.lang.String HELP_STRING

### ABOUT_STRING

    public static final java.lang.String ABOUT_STRING

### JPOSENTRIES_STRING

    public static final java.lang.String JPOSENTRIES_STRING

### PROPERTIES_STRING

    public static final java.lang.String PROPERTIES_STRING

### IMPORTANTPROPERTIES_STRING

    public static final java.lang.String IMPORTANTPROPERTIES_STRING

### CURRENTPROPERTY_STRING

    public static final java.lang.String CURRENTPROPERTY_STRING

### PROPERTYNAME_STRING

    public static final java.lang.String PROPERTYNAME_STRING

### PROPERTYVALUE_STRING

    public static final java.lang.String PROPERTYVALUE_STRING

### PROPERTYTYPE_STRING

    public static final java.lang.String PROPERTYTYPE_STRING

### OTHERPROPERTIES_STRING

    public static final java.lang.String OTHERPROPERTIES_STRING

### MESSAGES_STRING

    public static final java.lang.String MESSAGES_STRING

### TOPOFFILE_STRING

    public static final java.lang.String TOPOFFILE_STRING

### NEWFILEMENU_STRING

    public static final java.lang.String NEWFILEMENU_STRING

### NEWFILEBUTTON_STRING

    public static final java.lang.String NEWFILEBUTTON_STRING

### OPENFILEMENU_STRING

    public static final java.lang.String OPENFILEMENU_STRING

### OPENFILEBUTTON_STRING

    public static final java.lang.String OPENFILEBUTTON_STRING

### SAVEFILEMENU_STRING

    public static final java.lang.String SAVEFILEMENU_STRING

### SAVEFILEBUTTON_STRING

    public static final java.lang.String SAVEFILEBUTTON_STRING

### SAVEASFILEMENU_STRING

    public static final java.lang.String SAVEASFILEMENU_STRING

### SAVEASFILEBUTTON_STRING

    public static final java.lang.String SAVEASFILEBUTTON_STRING

### LOADJPOSREGISTRYMENU_STRING

    public static final java.lang.String LOADJPOSREGISTRYMENU_STRING

### SAVEJPOSREGISTRYMENU_STRING

    public static final java.lang.String SAVEJPOSREGISTRYMENU_STRING

### CLOSEJPOSREGISTRYMENU_STRING

    public static final java.lang.String CLOSEJPOSREGISTRYMENU_STRING

### CLOSEFILEMENU_STRING

    public static final java.lang.String CLOSEFILEMENU_STRING

### CLOSEFILEBUTTON_STRING

    public static final java.lang.String CLOSEFILEBUTTON_STRING

### EXITMENU_STRING

    public static final java.lang.String EXITMENU_STRING

### ADDMENU_STRING

    public static final java.lang.String ADDMENU_STRING

### COPYMENU_STRING

    public static final java.lang.String COPYMENU_STRING

### ADDBUTTON_STRING

    public static final java.lang.String ADDBUTTON_STRING

### DELETEMENU_STRING

    public static final java.lang.String DELETEMENU_STRING

### DELETEBUTTON_STRING

    public static final java.lang.String DELETEBUTTON_STRING

### MODIFYMENU_STRING

    public static final java.lang.String MODIFYMENU_STRING

### MODIFYBUTTON_STRING

    public static final java.lang.String MODIFYBUTTON_STRING

### ABOUTMENU_STRING

    public static final java.lang.String ABOUTMENU_STRING

### ABOUTBUTTON_STRING

    public static final java.lang.String ABOUTBUTTON_STRING

### CONFIGMENU_STRING

    public static final java.lang.String CONFIGMENU_STRING

### CONFIGBUTTON_STRING

    public static final java.lang.String CONFIGBUTTON_STRING

### SELECTENTRYTODELETE_STRING

    public static final java.lang.String SELECTENTRYTODELETE_STRING

### DELETEENTRYWITHLOGNAM_STRING

    public static final java.lang.String DELETEENTRYWITHLOGNAM_STRING

### SELECTENTRYTOMODIFY_STRING

    public static final java.lang.String SELECTENTRYTOMODIFY_STRING

### ENTERNEWLOGICALNAME_STRING

    public static final java.lang.String ENTERNEWLOGICALNAME_STRING

### SAVECURRENTCHANGES_STRING

    public static final java.lang.String SAVECURRENTCHANGES_STRING

### OPENFILE_STRING

    public static final java.lang.String OPENFILE_STRING

### NOENTRIES_STRING

    public static final java.lang.String NOENTRIES_STRING

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

### CLOSECHANGES_STRING

    public static final java.lang.String CLOSECHANGES_STRING

### CLOSEDFILE_STRING

    public static final java.lang.String CLOSEDFILE_STRING

### CLOSEDFILEWITHCHANGES_STRING

    public static final java.lang.String CLOSEDFILEWITHCHANGES_STRING

### ERRORSAVING_STRING

    public static final java.lang.String ERRORSAVING_STRING

### SAVEDFILE_STRING

    public static final java.lang.String SAVEDFILE_STRING

### SAVECHANGES_STRING

    public static final java.lang.String SAVECHANGES_STRING

### CHANGESLOST_STRING

    public static final java.lang.String CHANGESLOST_STRING

### LOADENTRIESJPOSREGISTRY_STRING

    public static final java.lang.String LOADENTRIESJPOSREGISTRY_STRING

### NOENTRIESJPOSREGISTRY_STRING

    public static final java.lang.String NOENTRIESJPOSREGISTRY_STRING

### ERRORSAVINGJPOSREGISTRY_STRING

    public static final java.lang.String ERRORSAVINGJPOSREGISTRY_STRING

### SAVEDCHANGESTOREGISTRY_STRING

    public static final java.lang.String SAVEDCHANGESTOREGISTRY_STRING

### SAVECHANGESJPOSREGISTRY_STRING

    public static final java.lang.String SAVECHANGESJPOSREGISTRY_STRING

### CLOSEDJPOSREGISTRY_STRING

    public static final java.lang.String CLOSEDJPOSREGISTRY_STRING

### METAL_STRING

    public static final java.lang.String METAL_STRING

### ABOUTTITLE_STRING

    public static final java.lang.String ABOUTTITLE_STRING

### ABOUTTITLELABEL_STRING

    public static final java.lang.String ABOUTTITLELABEL_STRING

### OKBUTTON_STRING

    public static final java.lang.String OKBUTTON_STRING

### JAVAVERSION_STRING

    public static final java.lang.String JAVAVERSION_STRING

### LABEL_STRING

    public static final java.lang.String LABEL_STRING

### DIALOG_STRING

    public static final java.lang.String DIALOG_STRING

### OS_STRING

    public static final java.lang.String OS_STRING

### ARCHITECTURE_STRING

    public static final java.lang.String ARCHITECTURE_STRING

### TOTALMEMORY_STRING

    public static final java.lang.String TOTALMEMORY_STRING

### BYTES_STRING

    public static final java.lang.String BYTES_STRING

### FREEMEMORY_STRING

    public static final java.lang.String FREEMEMORY_STRING

### EDITTITLE_STRING

    public static final java.lang.String EDITTITLE_STRING

### ADDPROP_STRING

    public static final java.lang.String ADDPROP_STRING

### MODIFYPROP_STRING

    public static final java.lang.String MODIFYPROP_STRING

### DELETEPROP_STRING

    public static final java.lang.String DELETEPROP_STRING

### DELETEJPOSENTRY_STRING

    public static final java.lang.String DELETEJPOSENTRY_STRING

### VALIDNAME_STRING

    public static final java.lang.String VALIDNAME_STRING

### VALIDCLASS_STRING

    public static final java.lang.String VALIDCLASS_STRING

### UNKNOWN_STRING

    public static final java.lang.String UNKNOWN_STRING

### USEDNAME_STRING

    public static final java.lang.String USEDNAME_STRING

### CANCELBUTTON_STRING

    public static final java.lang.String CANCELBUTTON_STRING

### EDITPROPTITLE_STRING

    public static final java.lang.String EDITPROPTITLE_STRING

### EDITPROPERTYNAME_STRING

    public static final java.lang.String EDITPROPERTYNAME_STRING

### EDITPROPERTYVALUE_STRING

    public static final java.lang.String EDITPROPERTYVALUE_STRING

### EDITPROPERTYTYPE_STRING

    public static final java.lang.String EDITPROPERTYTYPE_STRING

### EDITINVALIDPROPERTY_STRING

    public static final java.lang.String EDITINVALIDPROPERTY_STRING

### PROPERTYDEFINED_STRING

    public static final java.lang.String PROPERTYDEFINED_STRING

### EDITVALIDNAME_STRING

    public static final java.lang.String EDITVALIDNAME_STRING

### NOTCOMPATIBLE_STRING

    public static final java.lang.String NOTCOMPATIBLE_STRING

### ERRORSAVINGFILE_STRING

    public static final java.lang.String ERRORSAVINGFILE_STRING

### JPOSENTRYPREFERENCES_STRING

    public static final java.lang.String JPOSENTRYPREFERENCES_STRING

### TREEVIEW_STRING

    public static final java.lang.String TREEVIEW_STRING

### LOOKANDFEEL_STRING

    public static final java.lang.String LOOKANDFEEL_STRING

### AUTOEXPAND_STRING

    public static final java.lang.String AUTOEXPAND_STRING

### SORTED_STRING

    public static final java.lang.String SORTED_STRING

### CATEGORY_STRING

    public static final java.lang.String CATEGORY_STRING

### MANUFACTURER_STRING

    public static final java.lang.String MANUFACTURER_STRING

### JAVALOOKANDFEEL_STRING

    public static final java.lang.String JAVALOOKANDFEEL_STRING

### NATIVELOOKANDFEEL_STRING

    public static final java.lang.String NATIVELOOKANDFEEL_STRING

### VIEWOPTIONS_STRING

    public static final java.lang.String VIEWOPTIONS_STRING

### SHOWINTEGERSASHEX_STRING

    public static final java.lang.String SHOWINTEGERSASHEX_STRING

### AUTOLOADREGISTRY_STRING

    public static final java.lang.String AUTOLOADREGISTRY_STRING

### ENTRIES_STRING

    public static final java.lang.String ENTRIES_STRING

### LOGICALNAMETEXT_STRING

    public static final java.lang.String LOGICALNAMETEXT_STRING

### SIFACTORYCLASSTEXT_STRING

    public static final java.lang.String SIFACTORYCLASSTEXT_STRING

### CURRENTPROPNAMETEXT_STRING

    public static final java.lang.String CURRENTPROPNAMETEXT_STRING

### CURRENTPROPVALUETEXT_STRING

    public static final java.lang.String CURRENTPROPVALUETEXT_STRING

### SETNAMEEXCEPTION_STRING

    public static final java.lang.String SETNAMEEXCEPTION_STRING

### CREATION_PROPS_STRING

    public static final java.lang.String CREATION_PROPS_STRING

### JPOS_PROPS_STRING

    public static final java.lang.String JPOS_PROPS_STRING

### VENDOR_PROPS_STRING

    public static final java.lang.String VENDOR_PROPS_STRING

### PRODUCT_PROPS_STRING

    public static final java.lang.String PRODUCT_PROPS_STRING

### PROPERTY_NAME_STRING

    public static final java.lang.String PROPERTY_NAME_STRING

### PROPERTY_VALUE_STRING

    public static final java.lang.String PROPERTY_VALUE_STRING

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details